Skip to content

Commit

Permalink
Merge 2038117 into a5a026d
Browse files Browse the repository at this point in the history
  • Loading branch information
jdegenstein authored Sep 12, 2022
2 parents a5a026d + 2038117 commit a2b778d
Showing 1 changed file with 23 additions and 17 deletions.
40 changes: 23 additions & 17 deletions doc/quickstart.rst
Original file line number Diff line number Diff line change
Expand Up @@ -84,8 +84,9 @@ This modification will do the trick:
diameter = 22.0
# make the base
result = cq.Workplane("XY").box(height, width, thickness)\
result = (cq.Workplane("XY").box(height, width, thickness)
.faces(">Z").workplane().hole(diameter)
)
# Render the solid
show_object(result)
Expand Down Expand Up @@ -138,13 +139,14 @@ Good news!-- we can get the job done with just a few lines of code. Here's the c
padding = 12.0
# make the base
result = cq.Workplane("XY").box(height, width, thickness)\
.faces(">Z").workplane().hole(diameter)\
.faces(">Z").workplane() \
.rect(height - padding,width - padding,forConstruction=True)\
.vertices()\
result = (cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z").workplane().hole(diameter)
.faces(">Z").workplane()
.rect(height - padding,width - padding,forConstruction=True)
.vertices()
.cboreHole(2.4, 4.4, 2.1)
)
# Render the solid
show_object(result)
Expand Down Expand Up @@ -203,12 +205,14 @@ We can do that using the preset dictionaries in the parameter definition:
padding = 12.0
# make the base
result = cq.Workplane("XY").box(height, width, thickness)\
.faces(">Z").workplane().hole(diameter)\
.faces(">Z").workplane() \
.rect(height - padding, width - padding, forConstruction=True)\
.vertices().cboreHole(2.4, 4.4, 2.1)\
result = (cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z").workplane().hole(diameter)
.faces(">Z").workplane()
.rect(height - padding, width - padding, forConstruction=True)
.vertices().cboreHole(2.4, 4.4, 2.1)
.edges("|Z").fillet(2.0)
)
# Render the solid
show_object(result)
Expand Down Expand Up @@ -240,12 +244,14 @@ This can be easily accomplished using the :py:meth:`cadquery.exporters.export` f
padding = 12.0
# make the base
result = cq.Workplane("XY").box(height, width, thickness)\
.faces(">Z").workplane().hole(diameter)\
.faces(">Z").workplane() \
.rect(height - padding, width - padding, forConstruction=True)\
.vertices().cboreHole(2.4, 4.4, 2.1)\
result = (cq.Workplane("XY")
.box(height, width, thickness)
.faces(">Z").workplane().hole(diameter)
.faces(">Z").workplane()
.rect(height - padding, width - padding, forConstruction=True)
.vertices().cboreHole(2.4, 4.4, 2.1)
.edges("|Z").fillet(2.0)
)
# Render the solid
show_object(result)
Expand Down

0 comments on commit a2b778d

Please sign in to comment.